unit Unit1;

{$mode objfpc}{$H+}

interface

uses
  Classes, SysUtils, Forms, Controls, Graphics, Dialogs, StdCtrls;

type

  { TForm1 }

  TForm1 = class(TForm)
    CheckBox1: TCheckBox;
    CheckBox2: TCheckBox;
    procedure FormCreate(Sender: TObject);
    procedure FormDestroy(Sender: TObject);
    procedure FormPaint(Sender: TObject);
    procedure FormResize(Sender: TObject);
  private
    FBitmap: TBitmap;

  public

  end;

var
  Form1: TForm1;

implementation

{$R *.lfm}

{ TForm1 }

procedure TForm1.FormPaint(Sender: TObject);
begin
  Canvas.Draw(0, 0, FBitmap);
end;

procedure TForm1.FormResize(Sender: TObject);
var
  i: Integer;
begin
  RandSeed := 0;
  Fbitmap.SetSize(Width, Height);
  FBitmap.Canvas.Brush.Color := clWhite;
  FBitmap.Canvas.FillRect(0, 0, Width, Height);
  for i := 0 to 10000 do
  begin
    FBitmap.Canvas.Pen.Color := RGBToColor(Random(128)+128, Random(128)+128, Random(128)+128);
    FBitmap.Canvas.Line(Random(Width), random(Height), random(Width), random(height));
  end;
end;

procedure TForm1.FormCreate(Sender: TObject);
begin
  FBitmap := TBitmap.Create;
end;

procedure TForm1.FormDestroy(Sender: TObject);
begin
  FBitmap.Free;
end;

end.

